/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package business.user;

import javax.ejb.EJB;
import javax.ejb.Startup;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Named;

/**
 *
 * @author patri
 */
@Named(value = "DemoManager")
@ApplicationScoped
@Startup
public class DemoManager {

    @EJB
    PersonManager personManager;
    
    /**
     * Creates a new instance of NewJSFManagedBean
     */
    public DemoManager() {
        runDemos();
    }
    
    private void runDemos(){
        personManager.demo();
    }
    
}
